Bug 131223 - [maintainer update] devel/dyncall
Summary: [maintainer update] devel/dyncall
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-31 18:20 UTC by Tassilo Philipp
Modified: 2009-02-05 15:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tassilo Philipp 2009-01-31 18:20:01 UTC
diff -ruN dyncall.bak/Makefile dyncall/Makefile
--- dyncall.bak/Makefile        2009-01-31 08:37:23.000000000 +0100
+++ dyncall/Makefile    2009-01-31 09:13:00.000000000 +0100
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=              dyncall
-PORTVERSION=           0.2
+PORTVERSION=           0.3
 CATEGORIES=            devel
-MASTER_SITES=          http://www.dyncall.org/r0.2/
+MASTER_SITES=          http://www.dyncall.org/r0.3/
 
 MAINTAINER=            tphilipp@potion-studios.com
 COMMENT=               Highly dynamic multi-platform foreign function call interface library
@@ -18,13 +18,13 @@
 
 MAKEFILE=              ${WRKSRC}/BSDmakefile
 
-# There is no install target in the BSD makefile of version 0.2 of the dyncall library, so
+# There is no install target in the BSD makefile of version 0.3 of the dyncall library, so
 # install it manually.
 
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} == "sparc64"
-BROKEN=                Does not install
+.if ${ARCH} == "sparc64" || ${ARCH} == "ia64" || ${ARCH} == "alpha"
+BROKEN=                Does not install (unsupported architecture)
 .endif
 
 do-install:
diff -ruN dyncall.bak/distinfo dyncall/distinfo
--- dyncall.bak/distinfo        2009-01-31 08:37:23.000000000 +0100
+++ dyncall/distinfo    2009-01-31 18:17:03.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (dyncall-0.2.tar.gz) = 12d147a9875da5b30001012490b40fbf
-SHA256 (dyncall-0.2.tar.gz) = 70c7dff5f53c3ebf8ec4de8bec62d509b770d840ebe0b22a8a9cd561258166d1
-SIZE (dyncall-0.2.tar.gz) = 119902
+MD5 (dyncall-0.3.tar.gz) = 4d7aedacd38cca46c5608082772fc356
+SHA256 (dyncall-0.3.tar.gz) = 158963ad2f61dd5779c5904f08e67565f2ee29e2cdae637086280ab929f17d98
+SIZE (dyncall-0.3.tar.gz) = 189804
Comment 1 Dmitry Marakasov freebsd_committer 2009-02-03 23:17:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-02-05 15:21:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2009-02-05 15:21:16 UTC
amdmi3      2009-02-05 15:21:05 UTC

  FreeBSD ports repository

  Modified files:
    devel/dyncall        Makefile distinfo 
  Log:
  - Update to 0.3, mark more archs as unsupported
  - While here, canonize identation and add tiny improvements (use PORTVERSION in MASTER_SITES url, no need to use full path in MAKEFILE)
  
  PR:             131223
  Submitted by:   Tassilo Philipp <tphilipp at potion-studios dot com> (maintainer)
  
  Revision  Changes    Path
  1.4       +12 -12    ports/devel/dyncall/Makefile
  1.3       +3 -3      ports/devel/dyncall/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"